Bug 1129090 - GPG key displayed incorrectly (twice escaped?)
Summary: GPG key displayed incorrectly (twice escaped?)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Walden Raines
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 08:42 UTC by Jan Hutař
Modified: 2017-02-23 21:06 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:14:01 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 6955 None None None 2016-04-22 15:06:55 UTC

Description Jan Hutař 2014-08-12 08:42:19 UTC
Description of problem:
GPG key displayed incorrectly (twice escaped?)


Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140806.0


How reproducible:
always


Steps to Reproduce:
1. Content -> GPG keys -> New Gpg Key
     Name: RPM-GPG-KEY-20-fedora
     Upload GPG key: /etc/pki/rpm-gpg/RPM-GPG-KEY-20-fedora
2. Check ho how is the key's content displayed now


Actual results:
Newlines are displayed as "<br>" tags:
=====
-----BEGIN PGP PUBLIC KEY BLOCK-----<br/>Version: GnuPG v1.4.11 (GNU/Linux)<br/><br/>mQINBFGVT8oBEADiEFecKV2eDgaIoK6O/+2UxTGYHpVJYHj7Jl2EGHZWJ3jaN2x
[...]
=====


Expected results:
Should be like this:
=====
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.11 (GNU/Linux)

mQINBFGVT8oBEADiEFecKV2eDgaIoK6O/+2UxTGYHpVJYHj7Jl2EGHZWJ3jaN2xD
[...]
=====

Comment 2 Partha Aji 2014-09-12 15:52:36 UTC
Connecting redmine issue http://projects.theforeman.org/issues/6955 from this bug

Comment 3 jcallaha 2014-12-05 21:50:08 UTC
*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

Version Tested:
RHEL 65/66/7

ruby193-rubygem-foreman_hooks-0.3.7-2.el7.noarch
foreman-postgresql-1.8.0-0.develop.201412040955git563fa28.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-qpid-client-cert-1.0-1.noarch
foreman-libvirt-1.8.0-0.develop.201412040955git563fa28.el7.noarch
ruby193-rubygem-foreman_bootdisk-4.0.2-1.el7.noarch
foreman-compute-1.8.0-0.develop.201412040955git563fa28.el7.noarch
ruby193-rubygem-foreman_discovery-1.4.1-1.el7.noarch
foreman-proxy-1.8.0-0.develop.201411261259git6ddd00d.el7.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410git163c264.git.0.988ca80.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-foreman-proxy-1.0-1.noarch
foreman-release-1.8.0-0.develop.201412040955git563fa28.el7.noarch
foreman-gce-1.8.0-0.develop.201412040955git563fa28.el7.noarch
foreman-vmware-1.8.0-0.develop.201412040955git563fa28.el7.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201411121216git9381fc5.el7.noarch
ruby193-rubygem-foreman-tasks-0.6.9-1.el7.noarch
foreman-ovirt-1.8.0-0.develop.201412040955git563fa28.el7.noarch
foreman-selinux-1.8.0-0.develop.201411281557gitf4a857f.el7.noarch
foreman-1.8.0-0.develop.201412040955git563fa28.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-foreman-rhel7.usersys.redhat.com-apache-1.0-1.noarch
qe-foreman-rhel7.usersys.redhat.com-parent-cert-1.0-1.noarch
ruby193-rubygem-foreman_docker-0.2.0-2.el7.noarch
qe-foreman-rhel7.usersys.redhat.com-puppet-client-1.0-1.noarch
qe-foreman-rhel7.usersys.redhat.com-qpid-broker-1.0-1.noarch

Comment 4 Bryan Kearney 2015-01-09 14:49:19 UTC
Upstream bug assigned to walden@redhat.com

Comment 5 Bryan Kearney 2015-08-11 13:25:12 UTC
This bug is slated to be released with Satellite 6.1.

Comment 6 errata-xmlrpc 2015-08-12 05:14:01 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.